Subject: Re: Netlink handler for ethtool --show-rxfh breaks driver compatibility

From: Jakub Kicinski <[email-masked]>
Date: Mon, 15 Jul 2024 06:11:37 -0700

On Mon, 15 Jul 2024 14:58:07 +0300 Vladimir Oltean wrote:
> Looking at Documentation/networking/ethtool-netlink.rst, I see
> ETHTOOL_GRXRINGS has no netlink equivalent. So print_indir_table()
> should still be called with the result of the ETHTOOL_GRXRINGS ioctl
> even in the netlink case?

How about we fall back to the old method if netlink returns EOPNOTSUPP
for CHANNELS_GET? The other API is a bit of a historic coincidence.